Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim.pro	(revision 150)
@@ -1,2 +1,34 @@
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param EVENT
+;
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version
+; $Id$ 
+; 
+; @todo
+; seb
+;
+;-
 pro xcreateanim_event, event 
 ;
@@ -4,5 +36,5 @@
 ;
 @common
-; on recupere les aguments contenus ds le widget
+; We recuperate arguments contained in the widget
   if tag_names(event, /structure_name) NE 'WIDGET_BUTTON' then return
   widget_control, event.id, get_uvalue = uval
@@ -12,5 +44,5 @@
     return
   ENDIF
-; on va ecrire l''animation!
+; We will write the animation!
 ;
   widget_control, event.top, get_uvalue = local_uvalue
@@ -36,24 +68,24 @@
   index2 = where(calendar eq date2jul(vdate2)) & index2 = index2[0] 
   if index2 EQ -1 OR index2 LE index1 then return
-; on detruit le widget avant de creer le fichier .ps
+; We delete the widget before create the file .ps
   widget_control, event.top, /destroy
 ;
-; creation de la routine qui nous serviera pour faire le dessin
-;
-; on recupere la liste des instructions
+; creation of the routine which will serve us to do the drawing
+;
+; We recuperate the list of instructions 
   globalcommand = extractatt(top_uvalue, 'globalcommand')
-; on complete par le premiere et les dernieres lignes du programme
+; We complete by first and last lines of the program
   createpro, globalcommand, filename = myuniquetmpdir + 'xxx2ps.pro' $
              , KWDLIST = ', NOERASE = noerase, POSTSCRIPT = postscript, DATE1IN = date1in, DATE2IN = date2in'
 ;
-;--------creation du fichier----------
-;
-;  recupere le nombre d'octets surlequel on code la palette
+;--------creation of the file---------
+;
+;  we recuperate the number of octets on which we code the palette.
   device, get_visual_depth = depth
-; taille de l''image (en nombre de pixel:
+; Picture's size (in number of pixels):
   xsize = !d.x_size
   ysize = !d.y_size
 ;
-; on verifie que le nom du fichier termine bien par .gif
+; We check that the file's name end by .gif
   if strpos(nomfic, '.gif') EQ -1 then nomfic = nomfic+'.gif'
 
@@ -62,5 +94,5 @@
 
 
-; indication du numero de l''image que l''on est en train de creer
+; indication of the number of the picture we are creating
   base = widget_base()
   sliderid = widget_slider(base, minimum = 1, maximum = index2-index1+1, value = 1 $
@@ -68,5 +100,5 @@
   widget_control, base, /realize
 ;
-; commencement du fichier gif. ecriture d''une image vide 
+; Beginning of the gif file. Writting of an empty  picture.
   IF keyword_set(fakecal) THEN date = index1 ELSE date = jul2date(calendar[index1])
   xxx2ps, /noerase, date1in = date, date2in = date
@@ -91,10 +123,10 @@
   wdelete, !d.window
 ;
-; boucle de creation et d''ecriture ds le fichier.
+; Creation and writting loop in the file.
 ;
   IF index2 GT index1 THEN BEGIN
     FOR ind = index1+1, index2 do BEGIN
 ;
-      widget_control, sliderid, set_value = ind-index1+1 ; on bouge le slider
+      widget_control, sliderid, set_value = ind-index1+1 ; We move the slider.
 ;
       window, /free, /pixmap, xsize = xsize, ysize = ysize
@@ -111,5 +143,5 @@
     ENDFOR
   ENDIF 
-; on met une derniere image blanche
+; We put a last white picture
   window, /free, /pixmap, xsize = xsize, ysize = ysize
   reinitplt
@@ -122,13 +154,13 @@
   write_gif, animdir+nomfic, image, red, green, blue, /multiple
   wdelete, !d.window
-; fermeture du fichier
+; File's closing.
   write_gif, animdir+nomfic, /close 
   widget_control, base, /destroy 
-; rebascule en mode "normal"
+; Rerock in "normal" mode
   thisOS = strupcase(strmid(!version.os_family, 0, 3))
 ;
   wset, current_window
 
-; si on est sous x on essaie de lancer xanim...
+; If we are under x, we try to lauch xanim...
 
   if thisOS NE 'MAC' AND thisOS NE 'WIN' then begin
@@ -141,4 +173,36 @@
 end
 ;----------------------------------------------------------------
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param PARENT
+;
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version
+; $Id$ 
+; 
+; @todo
+; seb
+;
+;-
 PRO xcreateanim, parent
 ;
@@ -149,5 +213,5 @@
    widget_control, parent, get_uvalue = top_uvalue
 ;
-; on va s''assurer que toutes les procedures de sont pas pltt
+; We will make sure that all procedure are not in pltt
 ;
    procedures = extractatt(top_uvalue, 'nameprocedures')
@@ -157,5 +221,5 @@
    ENDIF
 ;
-; on va s''assurer que toutes les figures ont le meme calendrier 
+; We will make sure that all figure have the same calendar
 ;
    filelist = extractatt(top_uvalue,  'filelist')
@@ -183,5 +247,5 @@
    endif
 ;
-; c''est possible de faire une animation  
+; It is possible to do an animation.
 ;
    base = widget_base(/column, title = 'animation creation', uvalue = {parent:parent, indexfile:indexfile})   
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xxxmenubar_event.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xxxmenubar_event.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xxxmenubar_event.pro	(revision 150)
@@ -1,2 +1,33 @@
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param EVENT
+;
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version 
+; $Id$
+;
+; @todo 
+; seb
+;-
 ;------------------------------------------------
 PRO xxxmenubar_event, event
@@ -15,24 +46,24 @@
       widget_control, event.top, update = 0
       widget_control, event.top, get_uvalue = top_uvalue
-; on s''occupe de filelist
+; We take care of filelist
       filelist = extractatt(top_uvalue, 'filelist')
       filelist = [filelist, newfile.fileparameters.filename]
       currentfile = n_elements(filelist)-1
-; on update le widget
+; We update the widget
       filelistid = widget_info(event.top, find_by_uname = 'filelist')
       widget_control, filelistid, combobox_additem = file_basename(newfile.fileparameters.filename)
       widget_control, filelistid, set_combobox_select = currentfile
-; on update les elements filelist et currentfile de la top_uvalue
+; We update filelist and currentfile's elements of the top_value
       *top_uvalue[1, findline(top_uvalue, 'filelist')] = filelist
       oldfile = *top_uvalue[1, findline(top_uvalue, 'currentfile')]
       *top_uvalue[1, findline(top_uvalue, 'currentfile')] = currentfile
-; on s''occupe du nom de la variable
+; We take care of the name of the variable
       vlstid = widget_info(event.top, find_by_uname = 'varlist')
-; quel etait le champ selectionne ? on le reselectionne ?
+; What is the selected field ? Do we reselect it ?
       fieldname = widget_info(vlstid, /combobox_gettext)
       index = where(newfile.fileparameters.listvar EQ fieldname) 
       widget_control, vlstid, set_value = newfile.fileparameters.listvar
       widget_control, vlstid, set_combobox_select = 0 > index[0]
-; on s''occupe du calendrier
+; We take care of the calendar.
       key_caltype = newfile.fileparameters.caltype
       date1id = widget_info(event.top, find_by_uname = 'calendar1')
@@ -53,5 +84,5 @@
       rien = cw_calendar(basecal, newfile.fileparameters.time_counter, jdate2, uname = 'calendar2' $
                          , FAKECAL = fakecal, uvalue = {name:'calendar2'}, /frame)
-; on update les elements fileparameters, readparameters et meshparameters de la top_uvalue
+; We update fileparameters, readparameters et meshparameters elements of the top_value
       newfileparameters = ptrarr(currentfile+1, /allocate_heap)
       FOR i = 0, currentfile-1 DO $
@@ -74,5 +105,5 @@
       ptr_free, extractatt(top_uvalue, 'meshparameters')
       *top_uvalue[1, findline(top_uvalue, 'meshparameters')] = newmeshparameters
-; on actualise le widget!
+; We update the widget!
       if cmpgrid(oldmeshparams) then BEGIN
         domainid = widget_info(event.top, find_by_uname = 'domain')
@@ -93,5 +124,5 @@
       ptr_free, extractatt(top_uvalue, 'meshparameters')
       ptr_free, top_uvalue
-      widget_control, event.top, /destroy ;on ferme le widget
+      widget_control, event.top, /destroy ;We shut the widget
     end
     'PostScript' :BEGIN
@@ -101,8 +132,8 @@
       ENDIF
       widget_control, event.top, get_uvalue = top_uvalue
-; on recupere la liste des instructions
+; We recuperate the list of instructions
       globalcommand = extractatt(top_uvalue, 'globalcommand')
 ;      for i = 0, n_elements(globalcommand)-1 do print, globalcommand[i]
-; on complete par le premiere et les dernieres lignes du programme
+; We complete by first and last lines of the program.
       createpro, globalcommand, filename = myuniquetmpdir + 'xxx2ps.pro' $
                  , KWDLIST = ', NOERASE = noerase, POSTSCRIPT = postscript' $
@@ -136,17 +167,17 @@
         return
       ENDIF
-; on recupere le nom du fichier
+; We recuperate the name of the file
       filename = xquestion('dans quelle procedure IDL voulez vous sauver !C la realisation de ce graph?', 'xxx_figure.pro')
-; on le complete par un .pro
+; We complete it by a .pro
       if rstrpos(filename, '.pro') NE strlen(filename)-4 then filename = filename+'.pro'
       filename = isafile(file = filename, io = homedir, /new)
       widget_control, event.top, get_uvalue = top_uvalue
-; portrait ou landscape ???
+; portrait or landscape ???
       options = extractatt(top_uvalue, 'options')   
       optionsflag = extractatt(top_uvalue, 'optionsflag')
       portrait = (optionsflag[where(options EQ 'Portrait/Landscape'), 0])[0]
-; on lit les commandes pour faire un plot
+; We read commands to do a plot
       globalcommand = extractatt(top_uvalue, 'globalcommand')
-; on complete par le premiere et les dernieres lignes du programme
+; We complete by first and last lines of the program
       thisOS = strupcase(strmid(!version.os_family, 0, 3))
       CASE thisOS of
@@ -163,5 +194,5 @@
                        , 'return' $
                        , 'end']
-; on les ecrit dans un programme
+; We write it in a program
       putfile, filename, globalcommand
     END
@@ -171,7 +202,7 @@
         return
       ENDIF
-; on recupere le nom du fichier
+; We recuperate the name of the file
       filename = xquestion('dans quel fichier bianire voulez vous sauver le widget ?', 'xxx_widget.dat')
-; on le complete par un .dat
+; We complete it by a .dat
       if rstrpos(filename, '.dat') NE strlen(filename)-4 then filename = filename+'.dat'
       filename = isafile(file = filename, io = homedir, /new)
@@ -195,10 +226,10 @@
       key_portrait = 1-optionsflag[index, 0]
       (*top_uvalue[1, findline(top_uvalue, 'optionsflag')])[index, *] = key_portrait
-; fenetre separee ou fenetre collee au widget ?
+; Separated windows or windows stuck to the widget?
       if widget_info(event.top, find_by_uname = 'graph') EQ 0 then BEGIN
-; on tue la fenetre
+; We delete the window
         graphid = extractatt(top_uvalue, 'graphid')
         widget_control, widget_info(graphid, /parent), /destroy
-; on la recree
+; We recreate it.
         basegraph = widget_base(title = 'xxx window',  group_leader = event.top, uvalue = event.top,  uname = 'basegraph')
         windsize = givewindowsize()
@@ -209,17 +240,17 @@
         widget_control, basegraph, /realize
         xmanager, 'xxx', basegraph, /no_block
-; on redessine ce qu''il y avait dedans
-; on recupere la liste des instructions
+; We redraw what their were into it
+; We recuperate the list of instructions
         globalcommand = extractatt(top_uvalue, 'globalcommand')
-; on complete par le premiere et les dernieres lignes du programme
+; We complete by first and last lines of the program
         createpro, globalcommand, filename = myuniquetmpdir + 'xxx2ps.pro' $
                    , KWDLIST = ', NOERASE = noerase, POSTSCRIPT = postscript, PORTRAIT = portrait, LANDSCAPE = landscape' $
                    , KWDUSED = ', /noerase, PORTRAIT = portrait'
-; on reattribue l''element graphid de la top_uvalue
+; We reattribute the graphic element of the top_value
         *top_uvalue[1, findline(top_uvalue, 'graphid')] = graphid
       ENDIF ELSE BEGIN
         extra = extractatt(top_uvalue, 'extra')
         xxx, CALLERWIDID = event.top, /redraw, _extra = extra
-        widget_control, event.top, /destroy ;on ferme le widget
+        widget_control, event.top, /destroy ;We shut the widget
       ENDELSE
     end
@@ -230,7 +261,7 @@
       flags = extractatt(top_uvalue, 'optionsflag')
       index = where(options EQ 'Overlay')
-; on change le flag sur Longitude / x index
+; We change the flag on Longitude / x index
       flag = 1-flags[index, numdessinin] & flag = flag[0]
-; on le reeatribue
+; We reattribute it
       (*top_uvalue[1, findline(top_uvalue, 'optionsflag')])[index, numdessinin] = flag
     end
@@ -241,7 +272,7 @@
       flags = extractatt(top_uvalue, 'optionsflag')
       index = where(options EQ 'Vecteur')
-; on change le flag sur Longitude / x index
+; We change the flag on Longitude / x index
       flag = 1-flags[index, numdessinin] & flag = flag[0]
-; on le reeatribue
+; We reattribute it
       (*top_uvalue[1, findline(top_uvalue, 'optionsflag')])[index, numdessinin] = flag
     end
@@ -252,12 +283,12 @@
       flags = extractatt(top_uvalue, 'optionsflag')
       index = where(options EQ 'Longitude / x index')
-; on change le flag sur Longitude / x index
+; We change the flag on Longitude / x index
       flag = 1-flags[index, numdessinin] & flag = flag[0]
-; on le reeatribue
+; We reattribute it
       (*top_uvalue[1, findline(top_uvalue, 'optionsflag')])[index, numdessinin] = flag
-; maintenant on va changer les sliders definissant la boxzoom
+; Now we will change sliders defining the boxzoom
       domainid = widget_info(event.top, find_by_uname = 'domain')
       boxzoom = (extractatt(top_uvalue, 'domaines'))[*, numdessinin]
-; on veut retrouver le type de grille qui est utilisee
+; We want to find the type of grid which is used
       currentfile = extractatt(top_uvalue, 'currentfile')
       listgrid = (*(extractatt(top_uvalue, 'fileparameters'))[currentfile]).listgrid
@@ -268,12 +299,10 @@
       vargrid = strupcase(listgrid[indexvar])
       if flag EQ 0 then BEGIN   ; longitudes
-; on fait un domdef pour retrouver le lon1 lon2 correspondant a la
-; boxzoom definie sur le widget... 
+; We do a domdef to find the lon1 lon2 corresponding to the boxzoom defined on the widget...
         domdef, boxzoom, gridtype = vargrid, /xindex $
                 , yindex = (flags[where(options EQ 'Latitude / y index'), numdessinin])[0]
         widget_control, domainid, set_value = [lon1, lon2, boxzoom[2:3]]
       ENDIF ELSE BEGIN          ; xindex
-; maintenant ion veut retrouver firstx, lastx correspondant a la
-; boxzoom definie sur le widget...
+; now we want to find firstx, lastx corresponding to the boxzoom defined on the widget...
         domdef, boxzoom, gridtype = vargrid $
                 , yindex = (flags[where(options EQ 'Latitude / y index'), numdessinin])[0]
@@ -281,5 +310,5 @@
         widget_control, domainid, set_value = [firstx, lastx, boxzoom[2:3]]
       ENDELSE
-; on met a jour la top_uvalue
+; We update the top_uvalue
       widget_control, domainid, get_value = boxzoom
       (*top_uvalue[1, findline(top_uvalue, 'domaines')])[*, numdessinin] = boxzoom
@@ -291,12 +320,12 @@
       flags = extractatt(top_uvalue, 'optionsflag')
       index = where(options EQ 'Latitude / y index')
-; on change le flag sur Latitude / y index
+; We change the flag on Latitude / y index
       flag = 1-flags[index, numdessinin] & flag = flag[0]
-; on le reeatribue
+; We reattribute it
       (*top_uvalue[1, findline(top_uvalue, 'optionsflag')])[index, numdessinin] = flag
-; maintenant on va changer les sliders definissant la boxzoom
+; Now we will change sliders defining the boxzoom
       domainid = widget_info(event.top, find_by_uname = 'domain')
       boxzoom = (extractatt(top_uvalue, 'domaines'))[*, numdessinin]
-; on veut retrouver le type de grille qui est utilisee
+; We want to find the type of grid which is used
       currentfile = extractatt(top_uvalue, 'currentfile')
       listgrid = (*(extractatt(top_uvalue, 'fileparameters'))[currentfile]).listgrid
@@ -307,12 +336,10 @@
       vargrid = strupcase(listgrid[indexvar])
       if flag EQ 0 then BEGIN   ; latitudes
-; on fait un domdef pour retrouver le lat1 lat2 correspondant a la
-; boxzoom definie sur le widget... 
+; We do a domdef to find the lat1 lat2 corresponding to the boxzoom defined on the widget...
         domdef, boxzoom, gridtype = vargrid, /yindex $
                 , xindex = (flags[where(options EQ 'Longitude / x index'), numdessinin])[0]
         widget_control, domainid, set_value = [boxzoom[0:1], lat1, lat2]
       ENDIF ELSE BEGIN          ; yindex
-; maintenant ion veut retrouver firsty, lasty correspondant a la
-; boxzoom definie sur le widget...
+; now we want to find firsty, lasty corresponding to the boxzoom defined on the widget...
         domdef, boxzoom, gridtype = vargrid $
                 , xindex = (flags[where(options EQ 'Longitude / x index'), numdessinin])[0]
@@ -320,5 +347,5 @@
         widget_control, domainid, set_value = [boxzoom[0:1], firsty, lasty]
       ENDELSE
-; on met a jour la top_uvalue
+; We update the top_uvalue
       widget_control, domainid, get_value = boxzoom
       (*top_uvalue[1, findline(top_uvalue, 'domaines')])[*, numdessinin] = boxzoom
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup.pro	(revision 150)
@@ -1,134 +1,2 @@
-; $Id$
-;
-; Copyright (c) 1992-2005, Research Systems, Inc.  All rights reserved.
-;   Unauthorized reproduction prohibited.
-;+
-; NAME:
-;   CW_BGROUP
-;
-; PURPOSE:
-;   CW_BGROUP is a compound widget that simplifies creating
-;   a base of buttons. It handles the details of creating the
-;   proper base (standard, exclusive, or non-exclusive) and filling
-;   in the desired buttons. Events for the individual buttons are
-;   handled transparently, and a CW_BGROUP event returned. This
-;   event can return any one of the following:
-;       - The Index of the button within the base.
-;       - The widget ID of the button.
-;       - The name of the button.
-;       - An arbitrary value taken from an array of User values.
-;
-; CATEGORY:
-;   Compound widgets.
-;
-; CALLING SEQUENCE:
-;       Widget = CW_BGROUP(Parent, Names)
-;
-;   To get or set the value of a CW_BGROUP, use the GET_VALUE and
-;   SET_VALUE keywords to WIDGET_CONTROL. The value of a CW_BGROUP
-;   is:
-;
-;       -----------------------------------------------
-;       Type        Value
-;       -----------------------------------------------
-;       normal      None
-;       exclusive       Index of currently set button
-;       non-exclusive   Vector indicating the position
-;               of each button (1-set, 0-unset)
-;       -----------------------------------------------
-;
-;
-; INPUTS:
-;       Parent:     The ID of the parent widget.
-;   Names:      A string array, containing one string per button,
-;           giving the name of each button.
-;
-; KEYWORD PARAMETERS:
-;
-;   BUTTON_UVALUE:  An array of user values to be associated with
-;           each button and returned in the event structure.
-;   COLUMN:     Buttons will be arranged in the number of columns
-;           specified by this keyword.
-;   EVENT_FUNCT:    The name of an optional user-supplied event function
-;           for buttons. This function is called with the return
-;           value structure whenever a button is pressed, and
-;           follows the conventions for user-written event
-;           functions.
-;   EXCLUSIVE:  Buttons will be placed in an exclusive base, with
-;           only one button allowed to be selected at a time.
-;   FONT:       The name of the font to be used for the button
-;           titles. If this keyword is not specified, the default
-;           font is used.
-;   FRAME:      Specifies the width of the frame to be drawn around
-;           the base.
-;   IDS:        A named variable into which the button IDs will be
-;           stored, as a longword vector.
-;   LABEL_LEFT: Creates a text label to the left of the buttons.
-;   LABEL_TOP:  Creates a text label above the buttons.
-;   MAP:        If set, the base will be mapped when the widget
-;           is realized (the default).
-;   NONEXCLUSIVE:   Buttons will be placed in an non-exclusive base.
-;           The buttons will be independent.
-;   NO_RELEASE: If set, button release events will not be returned.
-;   RETURN_ID:  If set, the VALUE field of returned events will be
-;           the widget ID of the button.
-;   RETURN_INDEX:   If set, the VALUE field of returned events will be
-;           the zero-based index of the button within the base.
-;           THIS IS THE DEFAULT.
-;   RETURN_NAME:    If set, the VALUE field of returned events will be
-;           the name of the button within the base.
-;   ROW:        Buttons will be arranged in the number of rows
-;           specified by this keyword.
-;   SCROLL:     If set, the base will include scroll bars to allow
-;           viewing a large base through a smaller viewport.
-;   SET_VALUE:  The initial value of the buttons. This is equivalent
-;           to the later statement:
-;
-;           WIDGET_CONTROL, widget, set_value=value
-;
-;   SPACE:      The space, in pixels, to be left around the edges
-;           of a row or column major base. This keyword is
-;           ignored if EXCLUSIVE or NONEXCLUSIVE are specified.
-;   UVALUE:     The user value to be associated with the widget.
-;   UNAME:      The user name to be associated with the widget.
-;   XOFFSET:    The X offset of the widget relative to its parent.
-;   XPAD:       The horizontal space, in pixels, between children
-;           of a row or column major base. Ignored if EXCLUSIVE
-;           or NONEXCLUSIVE are specified.
-;   XSIZE:      The width of the base.
-;   X_SCROLL_SIZE:  The width of the viewport if SCROLL is specified.
-;   YOFFSET:    The Y offset of the widget relative to its parent.
-;   YPAD:       The vertical space, in pixels, between children of
-;           a row or column major base. Ignored if EXCLUSIVE
-;           or NONEXCLUSIVE are specified.
-;   YSIZE:      The height of the base.
-;   Y_SCROLL_SIZE:  The height of the viewport if SCROLL is specified.
-;
-; OUTPUTS:
-;       The ID of the created widget is returned.
-;
-; SIDE EFFECTS:
-;   This widget generates event structures with the following definition:
-;
-;       event = { ID:0L, TOP:0L, HANDLER:0L, SELECT:0, VALUE:0 }
-;
-;   The SELECT field is passed through from the button event. VALUE is
-;   either the INDEX, ID, NAME, or BUTTON_UVALUE of the button,
-;   depending on how the widget was created.
-;
-; RESTRICTIONS:
-;   Only buttons with textual names are handled by this widget.
-;   Bitmaps are not understood.
-;
-; MODIFICATION HISTORY:
-;   15 June 1992, AB
-;   7 April 1993, AB, Removed state caching.
-;   6 Oct. 1994, KDB, Font keyword is not applied to the label.
-;       10 FEB 1995, DJC  fixed bad bug in event procedure, getting
-;                         id of stash widget.
-;   11 April 1995, AB Removed Motif special cases.
-;-
-
-
 pro CW_BGROUP_SETV, id, value
   compile_opt hidden, idl2, strictarrsubs
@@ -224,4 +92,173 @@
 
 
+
+
+;
+;+
+; @file_comments
+; CW_BGROUP is a compound widget that simplifies creating
+; a base of buttons. It handles the details of creating the
+; proper base (standard, exclusive, or non-exclusive) and filling
+; in the desired buttons. Events for the individual buttons are
+; handled transparently, and a CW_BGROUP event returned. This
+; event can return any one of the following:
+;      - The Index of the button within the base.
+;      - The widget ID of the button.
+;      - The name of the button.
+;      - An arbitrary value taken from an array of User values.
+;
+; @categories
+; Compound widgets.
+;
+; @param PARENT {in}{required}
+; The ID of the parent widget.
+; 
+; @param NAMES
+; A string array, containing one string per button,
+; giving the name of each button.
+;
+; @keyword BUTTON_UVALUE
+; An array of user values to be associated with
+; each button and returned in the event structure.
+; 
+; @keyword COLUMN
+; Buttons will be arranged in the number of columns
+; specified by this keyword.
+; 
+; @keyword EVENT_FUNCT
+; The name of an optional user-supplied event function
+; for buttons. This function is called with the return
+; value structure whenever a button is pressed, and
+; follows the conventions for user-written event functions.
+; 
+; @keyword EXCLUSIVE
+; Buttons will be placed in an exclusive base, with
+; only one button allowed to be selected at a time.
+; 
+; @keyword FONT
+; The name of the font to be used for the button
+; titles. If this keyword is not specified, the default
+; font is used.
+; 
+; @keyword FRAME
+; Specifies the width of the frame to be drawn around the base.
+; 
+; @keyword IDS
+; A named variable into which the button IDs will be
+; stored, as a longword vector.
+; 
+; @keyword LABEL_LEFT
+; Creates a text label to the left of the buttons.
+; 
+; @keyword LABEL_TOP
+; Creates a text label above the buttons.
+; 
+; @keyword MAP
+; If set, the base will be mapped when the widget
+; is realized (the default).
+; 
+; @keyword NONEXCLUSIVE
+; Buttons will be placed in an non-exclusive base.
+; The buttons will be independent.
+; 
+; @keyword NO_RELEASE
+; If set, button release events will not be returned.
+; 
+; @keyword RETURN_ID
+; If set, the VALUE field of returned events will be
+; the widget ID of the button.
+; 
+; @keyword RETURN_INDEX
+; If set, the VALUE field of returned events will be
+; the zero-based index of the button within the base.
+; THIS IS THE DEFAULT.
+; 
+; @keyword RETURN_NAME
+; If set, the VALUE field of returned events will be
+; the name of the button within the base.
+; 
+; @keyword ROW
+; Buttons will be arranged in the number of rows
+; specified by this keyword.
+; 
+; @keyword SCROLL
+; If set, the base will include scroll bars to allow
+; viewing a large base through a smaller viewport.
+; 
+; @keyword SET_VALUE
+; The initial value of the buttons. This is equivalent
+; to the later statement:
+;
+; WIDGET_CONTROL, widget, set_value=value
+;
+; @keyword SPACE
+; The space, in pixels, to be left around the edges
+; of a row or column major base. This keyword is
+; ignored if EXCLUSIVE or NONEXCLUSIVE are specified.
+; 
+; @keyword UVALUE
+; The user value to be associated with the widget.
+; 
+; @keyword UNAME
+; The user name to be associated with the widget.
+; 
+; @keyword XOFFSET
+; The X offset of the widget relative to its parent.
+; 
+; @keyword XPAD
+; The horizontal space, in pixels, between children
+; of a row or column major base. Ignored if EXCLUSIVE
+; or NONEXCLUSIVE are specified.
+; 
+; @keyword XSIZE
+; The width of the base.
+; @keyword X_SCROLL_SIZE
+; The width of the viewport if SCROLL is specified.
+; 
+; @keyword YOFFSET
+; The Y offset of the widget relative to its parent.
+; 
+; @keyword YPAD
+; The vertical space, in pixels, between children of
+; a row or column major base. Ignored if EXCLUSIVE
+; or NONEXCLUSIVE are specified.
+; 
+; @keyword YSIZE
+; The height of the base.
+; 
+; @keyword Y_SCROLL_SIZE
+; The height of the viewport if SCROLL is specified.
+;
+; @returns
+; The ID of the created widget is returned.
+;
+; @restrictions
+; This widget generates event structures with the following definition:
+;
+;       event = { ID:0L, TOP:0L, HANDLER:0L, SELECT:0, VALUE:0 }
+;
+; The SELECT field is passed through from the button event. VALUE is
+; either the INDEX, ID, NAME, or BUTTON_UVALUE of the button,
+; depending on how the widget was created.
+;
+; @restrictions
+; Only buttons with textual names are handled by this widget.
+; Bitmaps are not understood.
+;
+; @history
+; 15 June 1992, AB
+; 7 April 1993, AB, Removed state caching.
+; 6 Oct. 1994, KDB, Font keyword is not applied to the label.
+; 10 FEB 1995, DJC  fixed bad bug in event procedure, getting
+;                         id of stash widget.
+; 11 April 1995, AB Removed Motif special cases.
+;
+; Copyright (c) 1992-2005, Research Systems, Inc.  All rights reserved.
+;   Unauthorized reproduction prohibited.
+;
+; @version
+; $Id$
+;
+;-
 
 
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar.pro	(revision 150)
@@ -276,4 +276,57 @@
 ;----------------------------------------------------------------------
 ;----------------------------------------------------------------------
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param PARENT {in}{required}
+; The widget ID of the parent widget.
+;
+; @param CALENDAR
+;
+;
+; @param JDATE0
+;
+; 
+; @keyword CALTYPE
+; 
+; 
+; @keyword FAKECAL
+;
+; 
+; @keyword UVALUE
+;
+; 
+; @keyword UNAME
+;
+; 
+; @keyword _EXTRA
+; Used to pass your keywords
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version 
+; $Id$
+;
+; @todo
+; seb
+; 
+;-
 FUNCTION cw_calendar, parent, calendar, jdate0, CALTYPE = CALTYPE, FAKECAL = fakecal, UVALUE = uvalue, UNAME = uname, _extra = ex
 ;
